@font-face {
    font-family: "Roboto";
    src: url("../fonts/Roboto-Regular.ttf");
    font-weight: 400;
    font-display: swap;
}
@font-face {
    font-family: "Roboto";
    src: url("../fonts/Roboto-Medium.ttf");
    font-weight: 500;
    font-display: swap;
}
* {
    box-sizing: border-box;
}
body {
    margin: 0;
    font-family: Roboto, sans-serif;
    background: #F9F9FF;
    font-weight: 400;
}
.wrapper {
    width: 432px;
    margin: 0 auto;
    padding: 32px 16px;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}
.error-message {
    color: red;
    font-size: 12px;
    margin-top: 5px;
    display: block;
}
.header {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    background: #FFFFFF;
    padding: 8px 16px;
    border-radius: 16px;
}
.lang-container {
    display: flex;
    align-items: center;
    gap: 4px;
}
.lang-btn {
    display: block;
    width: fit-content;
    padding: 6px 16px;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0.1px;
    color: #00000066;
    border-radius: 100px;
    text-decoration: none;
}
.lang-btn.active {
    border: 1px solid #E7E8EE;
}
.main {
    padding-top: 8px;
    flex: 1;
}
.profile {
    border-radius: 16px;
    background: #ffffff;
    padding: 32px 0 16px;
}
.profile-logo {
    display: block;
    margin: 0 auto;
    width: 111px;
    height: auto;
}
.profile-title {
    margin-top: 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.profile-title b {
    display: block;
    text-align: center;
    font-size: 22px;
    line-height: 28px;
    color: #191C20;
}
.profile-title p {
    text-align: center;
    margin-top: 8px;
    margin-bottom: 0;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.4px;
    color: #43474E;
}
.profile-steps {
    margin-top: 32px;
    display: flex;
    gap: 16px;
}
.profile-step {
    min-width: 192px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.profile-step-number {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #191C20;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.25px;
    border: 1px solid #E7E8EE;
}
.profile-step.active .profile-step-number {
    background: #FF8F00;
    border-color: #FF8F00;
    color: #fff;
}

.profile-step-title {
    margin-top: 8px;
    display: block;
    width: fit-content;
    font-size: 11px;
    line-height: 14px;
    letter-spacing: 0.5px;
    color: #C4C6CF;
}
.profile-step-name {
    display: block;
    width: fit-content;
    font-size: 11px;
    line-height: 14px;
    letter-spacing: 0.5px;
    color: #43474E;
}
.profile-content {
    margin-top: 32px;
    padding: 32px 16px 0;
    border-top: 1px solid #F3F3FA;
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.form-container {
    border: 1px solid #E1E2E9;
    border-radius: 8px;
    padding: 4px 14px;
    position: relative;
    display: flex;
    min-height: 44px;
    align-items: center;
}
.form-container-title {
    background: #fff;
    padding: 0 4px;
    position: absolute;
    top: -8px;
    font-size: 12px;
    display: block;
    width: fit-content;
    line-height: 16px;
    color: #74777F;
}
.form-container-title span {
    color: #DE3730;
}
.form-container input {
    width: 100%;
    padding: 0;
    margin: 0;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.25px;
    border: none;
    color: #1D1B20;
    font-family: Roboto, sans-serif;
}
.form-container input:focus {
    outline: none;
}
.form-container input::placeholder {
    color: #1D1B20;
    opacity: 0.6;
}

.form-container textarea {
    width: 100%;
    padding: 0;
    margin: 0;
    font-size: 14px;
    padding-top: 6px;
    line-height: 20px;
    letter-spacing: 0.25px;
    border: none;
    color: #1D1B20;
    font-family: Roboto, sans-serif;
}
.form-container textarea:focus {
    outline: none;
}
.form-container textarea::placeholder {
    color: #1D1B20;
    opacity: 0.6;
}
.form-container textarea {
    resize: none;
}

#loadingIndicator {
    position: relative;
    display: none;
    margin-top: 20px;
}

#loadingIndicator img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


.choices {
    width: 100%;
}
.choices__inner {
    background: transparent;
    padding: 0!important;
    border: none;
    display: flex;
    align-items: center;
}
.choices__item {
    color: #1D1B20;
    font-family: Roboto, sans-serif;
}
.choices__placeholder {
    opacity: 0.6;
    font-family: Roboto, sans-serif;
}
.choices__list--single {
    padding: 0;
}
.profile-item {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.form-title {
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.25px;
    color: #43474E;
    margin-bottom: 8px;
    display: block;
}
.checkbox-list {
    display: flex;
    flex-wrap: wrap;
    gap: 14px;
    padding: 10px 4px;
}
.checkbox-container {
    display: flex;
    align-items: center;
    gap: 12px;
    position: relative;
}
.checkbox-container input {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
    margin: 0;
}
.checkbox-checkmark {
    width: 16px;
    height: 16px;
    border-radius: 3px;
    border: 1px solid #43474E;
    position: relative;
    overflow: hidden;
    flex-shrink: 0;
    pointer-events: none;
}
.checkbox-checkmark:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 3px;
    height: 8px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: translate(-50%, -50%) rotate(45deg);
}
.checkbox-container input:checked ~ .checkbox-checkmark {
    border-color: #FF8F00;
    background: #FF8F00;
}
.checkbox-title {
    display: block;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0.25px;
    color: #191C20;
}
.address-form {
    margin-top: 16px;
}
.map-container {
    height: 200px;
    background: #e9ebee;
}
.profile-bottom {
    margin-top: 32px;
    padding: 32px 16px 0;
    border-top: 1px solid #F3F3FA;
}
.btn-warning {
    padding: 8px 24px;
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.5px;
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    background: #FF8F00;
    border-radius: 100px;
    text-decoration: none;
    cursor: pointer;
}
.profile-bottom .btn-warning {
    margin-left: auto;
}
.choices[data-type*=select-one]::after {
    width: 24px;
    height: 24px;
    border: none;
    margin: 0;
    transform: translateY(-50%);
    background: url("../icon/arrows.svg") no-repeat center/contain;
    right: -6px;
}
.choices[data-type*=select-one].is-open::after {
    margin: 0;
    border: none;
}
.agreement {
    align-items: flex-start;
}
.agreement .checkbox-checkmark {
    margin-top: 5px;
}
.agreement .checkbox-title {
    color: #74777F;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.25px;
}
.agreement .checkbox-title a {
    color: #191C20;
    text-decoration: none;
}
.success-wrap {
    align-items: center;
    display: flex;
    flex-direction: column;
}
.success-container {
    margin: auto;
    background: #fff;
    border-radius: 16px;
    padding: 32px;
    width: 432px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.success-container b {
    margin-top: 32px;
    display: block;
    font-size: 32px;
    line-height: 40px;
    color: #191C20;
    text-align: center;
    font-weight: 400;
}
.success-container p {
    margin-top: 8px;
    margin-bottom: 0;
    text-align: center;
    font-size: 22px;
    line-height: 28px;
    color: #191C20;
}
.btn-lg {
    font-size: 14px;
    padding: 12px 24px;
}
.profile-btn-sm {
    display: none;
}

@media (max-width: 767px) {
    .wrapper {
        padding: 16px;
    }
    .profile-bottom {
        display: none;
    }
    .btn-warning {
        width: 100%;
    }
    .profile-btn-sm {
        display: flex;
        margin-top: 16px;
    }
    .success-container {
        width: 100%;
    }
    .success-container b {
        font-size: 28px;
    }
    .success-container p {
        font-size: 16px;
    }
}